1

I am a newbie to expressionengine and I am working on upgrading EEv2.8.1 to EE3.5.16 for my company. On EE2 we use a lot of addons. I want to upgrade the addons during the EE upgrade process.

I learned that I have to remove the addons that are no longer support EE3. However, I am not sure where to put the new version of EE3 compatible addons. My goal is to keep as many old addon's data as possible. Any sugguesion is welcome...

Thanks!

Update - Following is the list of EE2 addons that I want to move to EE3, they all have EE3 compatiable version...any comments are welcome!

  1. Modules: Export Entries, Freeform Pro, Mailing List(eeharbor), Playa, Tagger
  2. Accessories: Freeform Pro
  3. Extensions: Matrix,Playa
  4. Fieldtypes: Field Pack, Matrix, Tagger, Multi Select(eeharbor), Playa
2

There are some thoughts on how to go about the upgrading process in the expressionengine documentation - and elsewhere in stackexchange. Start with these sources, and if you have problems beyond what is covered through such information, post specific questions back here and I am sure there are many who can help.

Based on the list of add-ons you have provided, you should be able to upgrade fairly easily.

  • Export Entries, Freeform Pro, Field Pack and Tagger all have EE3 support, so simply a case of paying for the upgrades as required.
  • Matrix and Playa have an upgrade path to EE3, but Grid and Relationships now offer these functions from within EE, and there is a good / free upgrade utility available from EllisLabs. Worth making the effort to swap over to native EE function here I think.
  • Mailing List(eeharbor) - not sure what this is (doesn't appear to be discussed on eeharbor site anyhow) - so maybe something extra will be needed to do for this one

As noted in the two linked posts to upgrade to EE3 you first have to update the EE2 version of site to a late version of EE2 (at least 2.10). Worth updating all your add-ons to final versions for EE2 at same time, and would make sense to do the Playa / Matrix migration to native EE before moving to EE3 too. Only once you have a strong updated EE2 platform in place should you start the EE3 upgrade process.

You didn't say why you are only looking to upgrade to EE3 - the upgrade from EE3 to EE4 is really much less complex than the one from EE2 to EE3, and brings with it some really useful new features - such as the just launched GDPR toolkit which makes building and operating a GDPR compliant site very much easier. Might be worth thinking about going the extra few yards to get EE4 in place since you are doing an upgrade anyway.

HTH

| improve this answer | |
  • Thank you so much for sharing your general thoughts about EE3, EE4 upgrade. I updated my post and included my add list. Would you mind taking a look? Really appreciated -HX – HelenaX Jun 22 '18 at 14:22
  • Have updated answer with comments on your list. – JCOGS Design Jun 22 '18 at 15:26
  • 1
    Thank you so much for your help!!! one more question should I upgrade the addons before or after the EE3 upgrade? – HelenaX Jun 22 '18 at 16:21
  • 1
    First, you should update the addons to their most recent EE2 versions and EE2 itself to the most recent version available (2.11.9). Then backup everything! Then run through the EE2-EE3 upgrade process - as part of this you will need to update the add-ons to EE3 versions. If you get a WSOD on update, check to make sure there are no stray EE2 add-ons still in addons folder - if still can't find it, remove all addons from folder, and add them back one at a time until you find the culprit. HTH – JCOGS Design Jun 24 '18 at 10:05
  • I really appreciate your help. I followed your steps and upgraded successfully. -HX – HelenaX Jun 26 '18 at 19:13

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.